SOGo | BTS

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004513SOGoWeb Mailpublic2018-07-13 13:222019-06-17 08:22
ReporterASolana 
Assigned Toludovic 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platform[Server] LinuxOSUbuntuOS Version16.04 LTS
Product Version4.0.1 
Target VersionFixed in Version4.0.8 
Summary0004513: HTML body contents are not displayed in some messages
DescriptionSogo 4.0.1 and 4.0.0 doesn't show html body contents in some messages.

If message is replied or forwarded then it displays the body contents.
Steps To ReproduceI've attached a zip file with a message in eml format which causes this issue.



TagsNo tags attached.
Attached Fileszip file icon 20180713.body.is.not.displayed.eml.zip [^] (2,856 bytes) 2018-07-13 13:22
zip file icon 20190506.messsage.with.html.body.tags.and.body.is.not.displayed.eml.zip [^] (2,156 bytes) 2019-05-06 14:29

- Relationships Relation Graph ] Dependency Graph ]
has duplicate 0004727new In some cases, body message not displayed and lost when replied or forwarded 
has duplicate 0004692resolvedfrancis No body displayed for UTF8 HTML messages with invalid characters 

-  Notes
User avatar (0013368)
ludovic (administrator)
2019-02-14 15:57

The problem comes from the fact that the email has no <html> nor <body> tags, so it breaks SOPE/libxml.
(0013564)
ASolana (reporter)
2019-05-06 14:31

I've uploaded another message example which contains <html> and <body> tags.
The issue still appears with this message and body is not displayed.
User avatar (0013566)
ludovic (administrator)
2019-05-08 07:43

I can reproduce the issue with the sample mail - will investigate and report.

- Related Changesets
sogo: master 4fc515b2
Timestamp: 2019-06-13 13:54:16
Author: ludovic
Details ] Diff ]
(fix) handle more broken mails (fixes 0004513)
mod - UI/MailPartViewers/UIxMailPartHTMLViewer.m Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-13 13:22 ASolana New Issue
2018-07-13 13:22 ASolana File Added: 20180713.body.is.not.displayed.eml.zip
2019-02-14 15:57 ludovic Severity major => minor
2019-02-14 15:57 ludovic Note Added: 0013368
2019-04-08 15:00 francis Relationship added has duplicate 0004727
2019-05-06 14:29 ASolana File Added: 20190506.messsage.with.html.body.tags.and.body.is.not.displayed.eml.zip
2019-05-06 14:31 ASolana Note Added: 0013564
2019-05-08 07:43 ludovic Note Added: 0013566
2019-06-13 13:57 ludovic Changeset attached => sogo master 4fc515b2
2019-06-13 13:57 ludovic Assigned To => ludovic
2019-06-13 13:57 ludovic Resolution open => fixed
2019-06-13 13:58 ludovic Status new => resolved
2019-06-17 08:21 francis Fixed in Version => 4.0.8
2019-06-17 08:22 francis Relationship added has duplicate 0004692


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker